''Test and display state of pushbuttons
''connected to P4 and P3.

OBJ

  system : "Propeller Board of Education"              ' PropBOE configuration tools
  pst    : "Parallax Serial Terminal Plus"             ' Terminal communication tools
  pin    : "Input Output Pins"                         ' I/O convenience methods
  time   : "Timing"                                    ' Timing convenience methods

VAR

  byte states                                          ' Variable stores I/O pin states

PUB Go                                                 ''Main method monitors pushbuttons

  system.Clock(80_000_000)                             ' Propeller system clock -> 80 MHz
  
  repeat                                               ' Main loop
    states := pin.Ins(4,3)                             ' Copy P4..P3 states to variable
    pst.Home                                           ' Send cursor to terminal home
    pst.Bin(states, 2)                                 ' Display binary states in terminal
    time.Pause(50)                                     ' Wait 50 ms before repeat



    