''Control P10..P9 LEDs with P4..P3 pushbuttons.

OBJ

  pin    : "Input Output Pins"                         ' I/O convenience methods
  time   : "Timing"                                    ' Timing convenience methods

VAR

  byte states                                          ' Variable stores I/O pin states

PUB Go                                                 ''Main method monitors pushbutton

  repeat                                               ' Main loop
    states := pin.Ins(4, 3)                             ' Copy P4..P3 states to variable
    pin.Outs(10, 9, states)                            ' Copy button states to light ouputs
    time.Pause(100)                                    ' Wait 100 ms
    pin.Outs(10, 9, %00)                                ' Turn off lights 
    time.Pause(100)                                    ' Wait another 100 ms





    