''Control P10..P9 LEDs with P4..P3 pushbuttons.
''Different appraoch with more options.

OBJ

  pin    : "Input Output Pins"                         ' I/O convenience methods
  time   : "Timing"                                    ' Timing convenience methods

VAR

  byte states                                          ' Variable stores I/O pin states

PUB Go                                                 ''Main method monitors pushbutton

  repeat                                               ' Main loop
    states := pin.Ins(4, 3)                            ' Copy P4..P3 states to variable
    case states                                  '     ' Case-by-case code execution
      %11: pin.Outs(10, 9, %11)                        ' Both buttons pressed, both lights on
      %10: pin.Outs(10, 9, %10)                        ' P4 button pressed, P10 light on
      %01: pin.Outs(10, 9, %01)                        ' P3 button pressed, P9 light on 
      %00: pin.Outs(10, 9, %00)                        ' No buttons pressed, no lights on
    pin.Outs(10, 9, %00)                               ' Both lights off
    time.Pause(100)                                    ' Wait another 100 ms


    