OBJ

  system : "Propeller Board of Education"              ' PropBOE configuration tools
  pst    : "Parallax Serial Terminal Plus"             ' Terminal communication tools
  adc    : "PropBOE ADC"                               ' A/D Converter on PropBOE
  time   : "Timing"                                    ' Timing convenience methods

VAR

  long ad                                              ' Stores A/D conversion Result

PUB Go                                                 ' Program starts here

  system.Clock(80_000_000)                             ' Propeller system clock -> 80 MHz
  
  repeat                                               ' Main loop
    ad := adc.In(0)                                    ' Get AD0 analog to digitla conversion
    Display                                            ' Call Display method (below)
    time.Pause(50)                                     ' Delay for 50 ms

PUB Display
''Display Method
''Sends cursor home, then displays ad=value and clears
''to right of value.

  pst.Home                                              ' Home position on screen
  pst.Str(String("ad="))                                ' Display AD=
  pst.Dec(ad)                                           ' Display analog/digital measurement
  pst.ClearEnd                                          ' Clear to the right of the value
    