OBJ

  system : "Propeller Board of Education"              ' PropBOE configuration tools
  pst    : "Parallax Serial Terminal Plus"             ' Terminal communication tools
  volts  : "PropBOE Voltmeter"                         ' Voltmeter for PropBOE
  time   : "Timing"                                    ' Timing convenience methods

VAR

  long i                                               ' Index variable

PUB Go                                                 ' Program starts here

  system.Clock(80_000_000)                             ' Propeller system clock -> 80 MHz
  
  repeat                                               ' Main loop
    pst.Home                                           ' Home position on screen
    repeat i from 0 to 2                               ' Index through the channels 0..2
      pst.Str(volts.FloatStr(i))                       ' Display voltage measurements
    time.Pause(50)                                     ' Pause for 50 ms
      
    