''Test and display state of pushbutton
''connected to P3.

OBJ

  system : "Propeller Board of Education"              ' PropBOE configuration tools
  pst    : "Parallax Serial Terminal Plus"             ' Terminal communication tools
  pin    : "Input Output Pins"                         ' I/O convenience methods
  time   : "Timing"                                    ' Timing convenience methods

VAR

  byte state                                           ' Variable stores I/O pin state

PUB Go                                                 ''Main method monitors pushbutton

  system.Clock(80_000_000)                             ' Propeller system clock -> 80 MHz
  
  repeat                                               ' Main loop
    state := pin.In(3)                                 ' Copy P3 state to variable
    pst.Home                                           ' Send cursor to terminal home
    pst.Bin(state, 1)                                  ' Display binary state in terminal
    time.Pause(50)                                     ' Wait 50 ms before repeat



    